Package org.springframework.util

# Class AntPathMatcher.AntPathStringMatcher

java.lang.Object
org.springframework.util.AntPathMatcher.AntPathStringMatcher

Enclosing class:
  AntPathMatcher

protected static class AntPathMatcher.AntPathStringMatcher extends Object
Tests whether a string matches against a pattern via a `Pattern`.

The pattern may contain special characters: '*' means zero or more characters; '?' means one and only one character; '{' and '}' indicate a URI template pattern. For example `/users/{user}`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AntPathStringMatcher(String pattern, String pathSeparator, boolean caseSensitive)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matchStrings(String str, Map<String,String> uriTemplateVariables)`
Main entry point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AntPathStringMatcher

protected AntPathStringMatcher(String pattern, String pathSeparator, boolean caseSensitive)

## Method Details

### matchStrings

public boolean matchStrings(String str, @Nullable Map<String,String> uriTemplateVariables)
Main entry point.

Returns:
  `true` if the string matches against the pattern, or `false` otherwise.